Bug 1889615 - [Rebase] Rebase to python-ldap 3.3.1 or newer version
Summary: [Rebase] Rebase to python-ldap 3.3.1 or newer version
Keywords:
Status: ON_QA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: python-ldap
Version: 8.4
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: rc
: 8.4
Assignee: Christian Heimes
QA Contact: ipa-qe
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-20 08:22 UTC by Alexander Bokovoy
Modified: 2020-11-30 14:43 UTC (History)
3 users (show)

Fixed In Version: python-ldap-3.3.1-1.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)

Description Alexander Bokovoy 2020-10-20 08:22:14 UTC
FreeIPA uses python-ldap extensively. It relies on a number of features such as synchrepl protocol. There are known issues with pyASN.1 implementation's use in python-ldap which were fixed in newer python-ldap version upstream.

python-ldap 3.1.0 is two years old, current python-ldap version is 3.3.1.

FreeIPA needs a rebase of python-ldap in RHEL 8.4 to be able to provide a first version of Global Catalog feature.


Note You need to log in before you can comment on or make changes to this bug.